SAP Hana 1.0 on SLES15 SR1

Installting SAP Hana 1.0 on Suse Linux SLES 15 SR1 stops withsome errors.

To solve this, you can check some notes like 2788495 - Using HANA hdblcm fails with libssl.so.1.0.0 / libssl.so.0.9.8 cannot open shared object file.

To resolve this, make sure the Legacy Module is installedfirst https://www.suse.com/documentation/sles-15/singlehtml/book_sle_deployment/book_sle_deployment.html#cha.add-ons

# SUSEConnect -list-extensions

To list extensions, you must first register the base product, using: SUSEConnect -r <registration code>

AVAILABLE EXTENSIONS AND MODULES
.
.
.
Legacy Module 15 x86_64 (Installed)
Deactivate with: SUSEConnect -d -p sle-module-legacy/15/x86_64
.
.
.

MORE INFORMATION.
You can find more information about available modules here: https://www.suse.com/products/server/features/modules.html

If not activated, Active it!
If this is not the case, it can be installed via YaST2 -> Installed Add-on Products -> Add
Make sure libopenssl1_0_0 is installed
# zypper search-packages libopenssl1_0_0
Following packages were found in following modules:
Package                   Module or Repository
------------------------- ------------------------------------------
libopenssl1_0_0           Legacy Module (sle-module-legacy/15/x86_64)
libopenssl-1_0_0-devel    Legacy Module (sle-module-legacy/15/x86_64)
libopenssl-1_0_0-devel    Available
libopenssl1_0_0           Available
libopenssl1_0_0-debuginfo Available

We can see that’s available but not installed.

# zypper install libopenssl1_0_0